%define		pname pyenchant
Summary:	Spellchecking library for Python
Summary(pl.UTF-8):	Biblioteka Pythona sprawdzająca pisownię
Name:		python-%{pname}
Version:	1.5.3
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/pyenchant/%{pname}-%{version}.tar.gz
# Source0-md5:	d327fb9c8620ecc261a424083dc9aa95
Patch0:		%{name}-ez_setup.patch
URL:		http://pyenchant.sourceforge.net/
BuildRequires:	enchant-devel >= 1.3.0
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 0.6-0.c3
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	enchant >= 1.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyEnchant is a set of language bindings and some wrapper classes to
make the excellent Enchant spellchecker available as a Python module.

%description -l pl.UTF-8
PyEnchant to zbiór dowiązań języka i klas obudowujących
udostępniających świetną bibliotekę sprawdzania pisowni Enchant jako
moduł Pythona.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT \
	--single-version-externally-managed

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt TODO.txt
%dir %{py_sitescriptdir}/enchant
%{py_sitescriptdir}/enchant/*.py[co]
%dir %{py_sitescriptdir}/enchant/checker
%{py_sitescriptdir}/enchant/checker/*.py[co]
%dir %{py_sitescriptdir}/enchant/tokenize
%{py_sitescriptdir}/enchant/tokenize/*.py[co]
%{py_sitescriptdir}/pyenchant-%{version}-py*.egg-info
%changelog
* Sun Nov 25 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyenchant.git;a=log;h=master

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 4517f31
- updated to 1.5.3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 21f01a5
- release 2

* Tue Feb 24 2009 duddits <duddits@pld-linux.org> 842d216
- up to 1.5.1
- patch for ez_setup added
- python paths revised: %{py_sitedir} -> %{python_sitelib}

* Tue Feb 24 2009 duddits <duddits@pld-linux.org> ae0294b
- needed for 1.5.1; disables ez_setup since we have setuptools

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> df9362e
- updated to 1.3.1

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 7e0970f
- updated to 1.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b504cd8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bc7d51f
- converted to UTF-8

* Tue Nov 14 2006 Jakub Bogusz <qboosh@pld-linux.org> e94c4e8
- LGPL v2.1 or any later

* Tue Nov 14 2006 Jakub Bogusz <qboosh@pld-linux.org> d52489a
- updated to 1.2.0 (for enchant 1.3.0)

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 61a1778
- unify sourceforge url

* Sun May 07 2006 Karol Krenski <charles@pld-linux.org> dbebf64
- BR: python-devel

* Sat Feb 18 2006 Jakub Bogusz <qboosh@pld-linux.org> af14651
- pl

* Sun Feb 12 2006 freetz <freetz@pld-linux.org> 7b2aaf4
- initial

